# People

Group: People Management

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/hrPeople)

The people in the People Management (HR) directory.

Each person has an id and an employee number.

## Endpoints

- [List people](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/people.html): `GET /people/person`
- [Create a person](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createPerson.html): `POST /people/person`
- [Search people](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/searchPeople.html): `POST /people/person/search`
- [Retrieve a person](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getPerson.html): `GET /people/person/{id}`
- [Update a person](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updatePerson.html): `PATCH /people/person/{id}`

## Events

- [A person was added.](https://docs.api.lensing.ai/reference/lensing/v1/events/hr_people_created.html)
- [A person changed.](https://docs.api.lensing.ai/reference/lensing/v1/events/hr_people_updated.html)
